Bug 724860 - copyTrans needlessly processes the languages that is missing from zanata.xml
copyTrans needlessly processes the languages that is missing from zanata.xml
Status: CLOSED NOTABUG
Product: Zanata
Classification: Community
Component: Component-Logic (Show other bugs)
1.3
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: zanata-dev-internal
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-22 00:07 EDT by Ding-Yi Chen
Modified: 2012-01-26 21:00 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-01-26 21:00:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ding-Yi Chen 2011-07-22 00:07:12 EDT
Description of problem:
It seems that copyTrans processes all the enabled languages in Zanata server. 
However, it is not all that efficient if zanata.xml only consist a small subset of this.


Version-Release number of selected component (if applicable):
Zanata version 1.4-SNAPSHOT (20110722-0601). 

How reproducible:
Always

Steps to Reproduce:
0. Assume a document project, and version are created.
1. Add af, de, fr, jp, kr in Administration -> Manage languages 
2. Use only one language, af,  in zanata.xml
3. Use python client to push: zanata po push --import-po
  
Actual results:
af, de, fr, jp, kr are all processed.

Expected results:
Only af is needed.
Comment 1 Sean Flanigan 2011-09-07 00:33:16 EDT
Assigning to Scrum product owner for prioritisation.
Comment 2 Sean Flanigan 2012-01-26 21:00:02 EST
CopyTrans actually processes all locales which are valid for the project/iteration in question.  In some cases, this is the same as the global server locale list, but not always.

See bug 785031 for a possible feature to synchronise the server locale lists with the local zanata.xml list.

Note You need to log in before you can comment on or make changes to this bug.